#include "testlib.h"

using namespace std;

typedef long long int ll;

struct group
{
	string name;
	int MAX_LEN;
};

const int CNT_GROUP = 4;

group groups[CNT_GROUP] =
{
	{
		.name = "samples",
		.MAX_LEN = 10		
	},
	{
		.name = "group1",
		.MAX_LEN = 10
	},
	{
		.name = "group2",
		.MAX_LEN = 2000
	},
	{
		.name = "group3",
		.MAX_LEN = 200 * 1000	
	},
};

string parse_group()
{
	static const char rareChar = '%';
	static const string randomString = "KSDJFWLWERKsdfwEWR234dft34TEGR";
	static const string groupToken = "GROUP: ";
	static const char terminalToken = '#';
	
	if (!validator.group().empty()) return validator.group();
	
	string toParse = randomString + groupToken;
	string read;
	
	char c = inf.readChar();
	if (c != rareChar)
	{
		inf.unreadChar(c);
		return "";
	}
	
	for (size_t i = 0; i < toParse.size(); i++)
	{
		if (!inf.eof()) read += inf.readChar();
	}

	ensuref(!inf.eof() && read == toParse, "Bad fake group format");

	string group;

	c = inf.readChar();
	while (c != terminalToken)
	{
		group += c;
		ensuref(!inf.eof(), "Bad fake group format");
		c = inf.readChar();
	}
	
	inf.readEoln();
	return group;
}

int main(int argc, char **argv)
{
	registerValidation(argc, argv);
	
	int group_id = -1;
	string cur_group = parse_group();

	for (int i = 0; i < CNT_GROUP; ++i)
	{
		if (groups[i].name == cur_group)
		{
			group_id = i;
			break;
		}
	}

	ensuref(group_id != -1, "no group for this test");	
 	
	inf.readToken("[01]{1, " + vtos(groups[group_id].MAX_LEN) + "}", "s");
	inf.readEoln();
	
	inf.readEof();

	return 0;
}

