#include <algorithm>
#include <iostream>
#include <string>
#include <cstring>
#include <stack>
#include <vector>
#include <set>
#include <map>
#include <ctime>
#include <unordered_set>
#include <unordered_map>
#include <cassert>
#include <numeric>

using namespace std;

#ifdef __APPLE__
#define eprintf(...) fprintf(stderr, __VA_ARGS__)
#else
#define eprintf(...)
#endif

const int N = (int)5e6 + 1;
const int MOD = (int)1e9 + 7;
const int inf = (int)5e8;
const long long infll = (long long)1e17;


void solve() {
    string s;
    cin >> s;
    size_t size = s.size();

    auto ok = [&](int mask) {
        string cur;
        for (size_t bit = 0; bit < size; ++bit) {
            if (mask & (1 << bit)) {
                cur += s[bit];
            }
        }
        if (cur[0] == '0' && cur.back() == '0') {
            for (size_t i = 1; i < cur.size(); ++i) {
                if (cur[i] == cur[i - 1]) {
                    return false;
                }
            }
            return true;
        } else {
            return false;
        }
    };
    vector<bool> dp(1 << size);
    vector<size_t> prev(1 << size);
    dp[0] = true;
    for (size_t mask = 0; mask < (1 << size); ++mask) {
        size_t s = mask;
        do {
            if (dp[s] && ok(mask ^ s)) {
                dp[mask] = true;
                prev[mask] = s;
                break;
            }
            s = (s - 1) & mask;
        } while (s);
        if (ok(mask)) {
            dp[mask] = true;
        }
    }
    size_t mask = (1 << size) - 1;
    if (!dp[mask]) {
        cout << -1 << endl;
        return;
    }
    vector<vector<size_t>> ans;
    while (mask) {
        int take = mask ^ prev[mask];
        vector<size_t> now;
        for (size_t bit = 0; bit < size; ++bit) {
            if (take & (1 << bit)) {
                now.push_back(bit + 1);
            }
        }
        ans.push_back(now);
        mask = prev[mask];
    }
    cout << ans.size() << endl;
    for (const auto& it : ans) {
        cout << it.size() << " ";
        for (const auto val : it) {
            cout << val << " ";
        }
        cout << endl;
    }
}


int main() {
#ifdef __APPLE__
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    int t = 1;
    while (t--) {
        solve();
    }
    return 0;
}
