#include <bits/stdc++.h>

#ifdef moskupols
    #define debug(...) fprintf(stderr, __VA_ARGS__)
#else
    #define debug(...) 42
#endif

#define timestamp(x) debug("["#x"]: %.3f\n", (double)clock() / CLOCKS_PER_SEC)

#define hot(x) (x)
#define sweet(value) (value)
#define faceless

#define WHOLE(v) (v).begin(),(v).end()
#define RWHOLE(v) (v).rbegin(),(v).rend()
#define UNIQUE(v) (v).erase(unique(WHOLE(v)),(v).end())

typedef long long i64;
typedef unsigned long long ui64;
typedef long double TReal;

using namespace std;
class TSolver {
public:
    string line;

    explicit TSolver(std::istream& in) {
        in >> line;
    }

    vector<vector<int>> ans;

    void Solve() {
        vector<int> perm(line.size());
        iota(WHOLE(perm), 0);

        do {
            vector<vector<int>> here;
            for (int i : perm) {
                if (here.empty() || line[here.back().back()] == line[i]) {
                    here.emplace_back(1, i);
                } else {
                    here.back().push_back(i);
                }
            }
            bool ok = true;
            for (const auto& li : here) {
                for (size_t i = 0; i < li.size(); ++i) {
                    ok = ok && (line[li[i]] == ('0' + (int(i) & 1)));
                }
                ok = ok && (li.size() & 1);
                ok = ok && is_sorted(WHOLE(li));
            }
            if (ok) {
                ans = here;
                break;
            }
        } while (next_permutation(WHOLE(perm)));
    }

    void PrintAnswer(std::ostream& out) const {
        if (ans.empty()) {
            out << "-1\n";
        } else {
            out << ans.size() << '\n';
            for (const auto& li : ans) {
                out << li.size();
                for (auto x : li) {
                    out << ' ' << 1 + x;
                }
                out << '\n';
            }
        }
    }
};

int main() {
    std::ios_base::sync_with_stdio(false);

    {
        auto solver = std::make_unique<TSolver>(std::cin);
        solver->Solve();
        solver->PrintAnswer(std::cout);
    }

    timestamp(end);
    return 0;
}
