#include <algorithm>
#include <cstdio>
#include <vector>
#include <set>
#include <list>

using namespace std;

vector< vector<int> > ans;
list<pair<set<int>, int> > sequences;

int try_get_seq() {
  int expected = 0;
  vector<int> seq;
  for (pair<set<int>, int> &x : sequences) {
    if (x.second != expected) {
      return -1;
    }
    int idx = *((x.first).begin());
    seq.push_back(idx);
    x.first.erase((x.first).begin());
    expected = 1 - expected;
  }
  if (expected == 0) { 
    return -1;
  }
  ans.push_back(seq);

  // joining sets
  auto x = sequences.begin();
  while(x != sequences.end()) {
    if ((x->first).size() == 0) {
       auto y = next(x);
       if (x == sequences.begin() || y == sequences.end()) {
         sequences.erase(x);
       } else {
         auto z = prev(x);
         y->first.insert((z->first).begin(), (z->first).end());
         sequences.erase(z);
         sequences.erase(x);
       } 
       x = y;
    } else {
       ++x;
    }
  }
  return 0;
}

int main() {
  char c = getchar();
  char curr_c = c;
  set<int> curr_set;
  int i = 1;
  while(c == '0' || c == '1') {
    if (c != curr_c) {
      sequences.push_back(pair<set<int>, char>(curr_set, curr_c - '0'));
      curr_set.clear();
      curr_c = c;
    }
    curr_set.insert(i);
    c = getchar();
    ++i;       
  }
  sequences.push_back(pair<set<int>, char>(curr_set, curr_c - '0'));

  while(sequences.size() > 0 && try_get_seq() == 0) { }

  if (sequences.size() > 0) {
    printf("-1\n");
    return 0;
  }

  printf("%d\n", ans.size());
  for (int i = 0; i < ans.size(); ++i) {
    printf("%d ", ans[i].size());
    for (int j = 0; j < ans[i].size(); ++j) {
      printf("%d ", ans[i][j]);
    }
    printf("\n");
  }
  return 0; 
}
